API reference

GET /api/v1/records

List records within a collection.

Parameters

ParameterTypeRequiredDescription
limitintegernoMaximum number of items to return.
cursorstringnoOpaque pagination cursor from a previous response.

Response

Content-Type application/json. Cache-Control public, max-age=60.

{
  "object": "list",
  "data": [
    {
      "id": "rec_aabd4yd9wauxod",
      "created_at": "2025-03-23T20:39:42Z",
      "collection": "documents",
      "revision": 2,
      "updated_at": "2025-06-27T01:28:33Z"
    },
    {
      "id": "rec_fi6kwrhti0le3o",
      "created_at": "2025-02-25T03:54:18Z",
      "collection": "documents",
      "revision": 20,
      "updated_at": "2025-07-07T13:03:34Z"
    },
    {
      "id": "rec_fznj65vht12ws2",
      "created_at": "2025-04-06T18:59:47Z",
      "collection": "documents",
      "revision": 12,
      "updated_at": "2025-08-11T03:00:16Z"
    },
    {
      "id": "rec_bv4tetzh638zvo",
      "created_at": "2025-08-20T23:09:19Z",
      "collection": "entries",
      "revision": 22,
  ...

Example

curl -s https://api.barmalei.com/api/v1/records